My Project: dComplemtaritySolver::dBilateralJoint Class Reference

My Project

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
dComplemtaritySolver::dBilateralJoint Class Referenceabstract

`#include <dLinearAlgebra.h>`

Inheritance diagram for dComplemtaritySolver::dBilateralJoint:

## Public Member Functions

| dBilateralJoint ()
virtual | ~dBilateralJoint ()
virtual void | Init (dBodyState *const state0, dBodyState *const state1)

## Protected Member Functions

virtual void | JacobianDerivative (dParamInfo *const constraintParams)=0
virtual void | UpdateSolverForces (const dJacobianPair *const jacobians) const =0
virtual void | JointAccelerations (dJointAccelerationDecriptor *const accelParam)
void | InitPointParam (dPointDerivativeParam &param, const dVector &pivot) const
void | AddAngularRowJacobian (dParamInfo *const constraintParams, const dVector &dir, dFloat jointAngle)
void | AddLinearRowJacobian (dParamInfo *const constraintParams, const dVector &pivot, const dVector &dir)
void | AddAngularRowJacobian (dParamInfo *const constraintParams, const dVector &dir0, const dVector &dir1, dFloat ratio)
void | CalculatePointDerivative (dParamInfo *const constraintParams, const dVector &dir, const dPointDerivativeParam &param)

## Protected Attributes

dFloat | m_motorAcceleration [D_MAX_PRAM_INFO_SIZE]
dFloat | m_jointFeebackForce [D_MAX_PRAM_INFO_SIZE]
int | m_rowIsMotor [D_MAX_PRAM_INFO_SIZE]
dBodyState * | m_state0
dBodyState * | m_state1
int | m_start
int | m_count

## Friends

class | dBodyState
class | dComplemtaritySolver

## Constructor & Destructor Documentation

## § dBilateralJoint()

dComplemtaritySolver::dBilateralJoint::dBilateralJoint | ( |  | ) |

inline

## § ~dBilateralJoint()

virtual dComplemtaritySolver::dBilateralJoint::~dBilateralJoint | ( |  | ) |

inlinevirtual

## Member Function Documentation

## § AddAngularRowJacobian() [1/2]

void dComplemtaritySolver::dBilateralJoint::AddAngularRowJacobian | ( | dParamInfo *const | constraintParams,
|  | const dVector & | dir,
|  | dFloat | jointAngle
| ) |  |

protected

## § AddAngularRowJacobian() [2/2]

void dComplemtaritySolver::dBilateralJoint::AddAngularRowJacobian | ( | dParamInfo *const | constraintParams,
|  | const dVector & | dir0,
|  | const dVector & | dir1,
|  | dFloat | ratio
| ) |  |

protected

## § AddLinearRowJacobian()

void dComplemtaritySolver::dBilateralJoint::AddLinearRowJacobian | ( | dParamInfo *const | constraintParams,
|  | const dVector & | pivot,
|  | const dVector & | dir
| ) |  |

protected

## § CalculatePointDerivative()

void dComplemtaritySolver::dBilateralJoint::CalculatePointDerivative | ( | dParamInfo *const | constraintParams,
|  | const dVector & | dir,
|  | const dPointDerivativeParam & | param
| ) |  |

protected

## § Init()

void dComplemtaritySolver::dBilateralJoint::Init | ( | dBodyState *const | state0,
|  | dBodyState *const | state1
| ) |  |

virtual

## § InitPointParam()

void dComplemtaritySolver::dBilateralJoint::InitPointParam | ( | dPointDerivativeParam & | param,
|  | const dVector & | pivot
| ) |  | const

protected

## § JacobianDerivative()

virtual void dComplemtaritySolver::dBilateralJoint::JacobianDerivative | ( | dParamInfo *const | constraintParams | ) |

protectedpure virtual

Implemented in dComplemtaritySolver::dFrictionLessContactJoint.

## § JointAccelerations()

void dComplemtaritySolver::dBilateralJoint::JointAccelerations | ( | dJointAccelerationDecriptor *const | accelParam | ) |

protectedvirtual

Reimplemented in dComplemtaritySolver::dFrictionLessContactJoint.

## § UpdateSolverForces()

virtual void dComplemtaritySolver::dBilateralJoint::UpdateSolverForces | ( | const dJacobianPair *const | jacobians | ) | const

protectedpure virtual

Implemented in dComplemtaritySolver::dFrictionLessContactJoint.

## Friends And Related Function Documentation

## § dBodyState

friend class dBodyState

friend

## § dComplemtaritySolver

friend class dComplemtaritySolver

friend

## Member Data Documentation

## § m_count

int dComplemtaritySolver::dBilateralJoint::m_count

protected

## § m_jointFeebackForce

dFloat dComplemtaritySolver::dBilateralJoint::m_jointFeebackForce[D_MAX_PRAM_INFO_SIZE]

protected

## § m_motorAcceleration

dFloat dComplemtaritySolver::dBilateralJoint::m_motorAcceleration[D_MAX_PRAM_INFO_SIZE]

protected

## § m_rowIsMotor

int dComplemtaritySolver::dBilateralJoint::m_rowIsMotor[D_MAX_PRAM_INFO_SIZE]

protected

## § m_start

int dComplemtaritySolver::dBilateralJoint::m_start

protected

## § m_state0

dBodyState* dComplemtaritySolver::dBilateralJoint::m_state0

protected

## § m_state1

dBodyState* dComplemtaritySolver::dBilateralJoint::m_state1

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.h
- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.cpp